    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#employee" data-toggle="tab">{!! trans('organisation::employee.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#organisation-employee-edit'  data-load-to='#organisation-employee-entry' data-datatable='#organisation-employee-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#organisation-employee-entry' data-href='{{guard_url('organisation/employee')}}/{{$employee->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('organisation-employee-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('organisation/employee/'. $employee->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="employee">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('organisation::employee.name') !!} [{!!$employee->name!!}] </div>
                @include('organisation::admin.employee.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>