<div class="btn-group organisation-employee">
    <button class="btn btn-xs btn-danger btn-search" type="button">
        <i aria-hidden="true" class="fa fa-search">
        </i>
        <span class="hidden-sm hidden-xs"> Search</span>
    </button>
    <button aria-expanded="false" class="btn btn-xs btn-danger dropdown-toggle" data-toggle="dropdown" type="button">
        <span class="caret">
        </span>
        <span class="sr-only">
            Toggle Dropdown
        </span>
    </button>
    <ul class="dropdown-menu" role="menu">
        <li>
            <a class="btn-search" style="cursor:pointer;">
                <i aria-hidden="true" class="fa fa-fw fa-filter">
                </i>
                Show filters
            </a>
        </li>
        <li>
            <a class="btn-reset-filter" style="cursor:pointer;">
                <i class="fa fa-fw fa-ban text-danger">
                </i>
                Clear filters
            </a>
        </li>
        <li class="divider">
        </li>
        <li>
            <a class="btn-save" style="cursor:pointer;">
                <i aria-hidden="true" class="fa fa-fw fa-floppy-o">
                </i>
                Save search
            </a>
        </li>
        <li>
            <a class="btn-open" style="cursor:pointer;">
                <i aria-hidden="true" class="fa fa-fw fa-folder-open-o">
                </i>
                Saved searches
            </a>
        </li>
    </ul>
</div>

<div class="modal fade" id="modal-search">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header" style="background-color: #dd4b39; color: #fff;">
              <button type="button" class="close" data-dismiss="modal" aaria-hidden="true">&times;</button>
              <h4 class="modal-title">Search</h4>
            </div>
              {!!Form::horizontal_open()
              ->id('form-search')
              ->method('POST')
              ->action(guard_url('settings/settings'))!!}
                <div class="modal-body has-form clearfix">
                    <div class="modal-form">
<div class="container-fluid">
                            <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[company_id]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.company_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[company_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[file_id]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.file_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[file_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[manager_id]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.manager_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[manager_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[name]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[last_name]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.last_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[last_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[email]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.email')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[email]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[gender]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.gender')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[gender]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[job_type]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.job_type')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[job_type]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contract_type]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.contract_type')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contract_type]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[employee_id]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.employee_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[employee_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[grade]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.grade')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[grade]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[first_name]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.first_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[first_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[middle_name]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.middle_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[middle_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[designation]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.designation')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[designation]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[dob]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.dob')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[dob]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[doj]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.doj')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[doj]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[business_unit]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.business_unit')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[business_unit]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[division]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.division')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[division]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[department]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.department')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[department]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[location]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.location')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[location]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[city]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.city')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[city]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[state]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.state')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[state]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[manager_corp_id]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.manager_corp_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[manager_corp_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[manager_grade]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.manager_grade')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[manager_grade]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[manager_full_name]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.manager_full_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[manager_full_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[manager_name]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.manager_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[manager_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[manager_last_name]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.manager_last_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[manager_last_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[manager_first_name]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.manager_first_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[manager_first_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[manager_middle_name]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.manager_middle_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[manager_middle_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[manager_email]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.manager_email')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[manager_email]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[manager_manager_corp_id]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.manager_manager_corp_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[manager_manager_corp_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[manager_manager_last_name]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.manager_manager_last_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[manager_manager_last_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[manager_manager_first_name]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.manager_manager_first_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[manager_manager_first_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[manager_manager_middle_name]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.manager_manager_middle_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[manager_manager_middle_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[manager_manager_email]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.manager_manager_email')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[manager_manager_email]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[direct_manager]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.direct_manager')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[direct_manager]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[rollup1_manager]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.rollup1_manager')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[rollup1_manager]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[rollup2_manager]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.rollup2_manager')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[rollup2_manager]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[rollup3_manager]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.rollup3_manager')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[rollup3_manager]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[rollup4_manager]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.rollup4_manager')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[rollup4_manager]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[rollup5_manager]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.rollup5_manager')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[rollup5_manager]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[hrbp_name]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.hrbp_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[hrbp_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contributor_type]" class="col-sm-2 control-label">
                                        {!! trans('organisation::employee.label.contributor_type')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contributor_type]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <div class="col-md-12 col-lg-12">
                        <button aria-label="Close" class="btn pull-right btn-danger" data-dismiss="modal" type="button">
                            <i class="fa fa-times-circle">
                            </i>
                            Close
                        </button>
                        <button class="btn btn-success pull-right " id="btn-apply-search" name="new" style="margin-right:1%" type="button">
                            <i class="fa fa-check-circle">
                            </i>
                            Search
                        </button>
                    </div>
                </div>
              {!!Form::close()!!}
        </div>
    </div>
</div>


<div class="modal fade" id="modal-open">
  <div class="modal-dialog">
    <div class="modal-content" style="max-width:400px;">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title">Saved</h4>
      </div>
      <div class="modal-body" style="height:210px; overflow-y: auto;">
        
        <div id="saved-list">
          
        </div>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-danger"  name="Closerep" data-dismiss="modal"><i class="fa fa-times-circle"></i> Close </button>
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<script type="text/javascript">
$(document).ready(function(){

    $(".organisation-employee .btn-open").click(function(){
        toastr.info('This feature will be enabled soon.', 'Coming soon');
        return false;
        $('#open-list').load("{!!guard_url('/settings/setting/search/organisation.employee.search')!!}");
        $('#modal-open').modal("show");
    });

   $(".organisation-employee .btn-search").click(function(){
      $('#modal-search').modal("show");
    });
   
    $('.organisation-employee .btn-save').click(function(e){
        toastr.info('This feature will be enabled soon.', 'Coming soon');
        return false;
        var search = prompt("Please enter name for your search");
        if (search == null) {
            toastr.error('Please enter valid name.', 'Error');
            return false;
        }
        var formData = new FormData();
        formData.append('value', $("#form-search").serialize());
        formData.append('name', search);
        formData.append('key', 'organisation.employee.search');
        formData.append('package', 'Page');
        formData.append('module', 'Page');

        $.ajax({
            url : "{!!guard_url('/settings/setting')!!}",
            type: "POST",
            data: formData,
            cache: false,
            processData: false,
            contentType: false,
            success:function(data, textStatus, jqXHR)
            {
                toastr.success('Search saved successfully.', 'Success');
            },
            error: function(jqXHR, textStatus, errorThrown)
            {
                toastr.error('An error occurred while saving.', 'Error');
            }
        });

        e.preventDefault();
    });

    $('#btn-apply-search').click( function() {
        oSearch = {};
        $('#form-search input,#form-search select').each( function () {
          key = $(this).attr('name');
          val = $(this).val();
          oSearch[key] = val;
        });
        oTable.api().draw();
        $('#organisation-employee-list .btn-reset-filter').css('display', '');
        $('#modal-search').modal("hide");
        
      });
    
    $(".btn-reset-filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        oSearch = {};
        $('#form-search input,#form-search select').each( function () {
          key = $(this).attr('name');
          val = $(this).val();
          oSearch[key] = val;
        });
        oTable.api().draw();
        $('#organisation-employee-list .btn-reset-filter').css('display', 'none');

    });

});
</script>