<?php

namespace Survey\Organisation\Repositories\Eloquent;

use Survey\Organisation\Interfaces\EmployeeRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class EmployeeRepository extends BaseRepository implements EmployeeRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('survey.organisation.employee.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('survey.organisation.employee.model.model');
    }
}
