<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('organisation::employee.name') !!} <small> {!! trans('app.manage') !!} {!! trans('organisation::employee.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('organisation::employee.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='organisation-employee-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('organisation/employee')!!}">{!! trans('organisation::employee.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('organisation/employee?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('organisation/employee?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('organisation/employee/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('organisation::admin.employee.partial.actions')
                    -->
                    @include('organisation::admin.employee.partial.filter')
                    @include('organisation::admin.employee.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="organisation-employee-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="organisation-employee-check-all"></th>
                        <th data-field="company_id">{!! trans('organisation::employee.label.company_id')!!}</th>
                    <th data-field="file_id">{!! trans('organisation::employee.label.file_id')!!}</th>
                    <th data-field="manager_id">{!! trans('organisation::employee.label.manager_id')!!}</th>
                    <th data-field="name">{!! trans('organisation::employee.label.name')!!}</th>
                    <th data-field="last_name">{!! trans('organisation::employee.label.last_name')!!}</th>
                    <th data-field="email">{!! trans('organisation::employee.label.email')!!}</th>
                    <th data-field="gender">{!! trans('organisation::employee.label.gender')!!}</th>
                    <th data-field="job_type">{!! trans('organisation::employee.label.job_type')!!}</th>
                    <th data-field="contract_type">{!! trans('organisation::employee.label.contract_type')!!}</th>
                    <th data-field="employee_id">{!! trans('organisation::employee.label.employee_id')!!}</th>
                    <th data-field="grade">{!! trans('organisation::employee.label.grade')!!}</th>
                    <th data-field="first_name">{!! trans('organisation::employee.label.first_name')!!}</th>
                    <th data-field="middle_name">{!! trans('organisation::employee.label.middle_name')!!}</th>
                    <th data-field="designation">{!! trans('organisation::employee.label.designation')!!}</th>
                    <th data-field="dob">{!! trans('organisation::employee.label.dob')!!}</th>
                    <th data-field="doj">{!! trans('organisation::employee.label.doj')!!}</th>
                    <th data-field="business_unit">{!! trans('organisation::employee.label.business_unit')!!}</th>
                    <th data-field="division">{!! trans('organisation::employee.label.division')!!}</th>
                    <th data-field="department">{!! trans('organisation::employee.label.department')!!}</th>
                    <th data-field="location">{!! trans('organisation::employee.label.location')!!}</th>
                    <th data-field="city">{!! trans('organisation::employee.label.city')!!}</th>
                    <th data-field="state">{!! trans('organisation::employee.label.state')!!}</th>
                    <th data-field="manager_corp_id">{!! trans('organisation::employee.label.manager_corp_id')!!}</th>
                    <th data-field="manager_grade">{!! trans('organisation::employee.label.manager_grade')!!}</th>
                    <th data-field="manager_full_name">{!! trans('organisation::employee.label.manager_full_name')!!}</th>
                    <th data-field="manager_name">{!! trans('organisation::employee.label.manager_name')!!}</th>
                    <th data-field="manager_last_name">{!! trans('organisation::employee.label.manager_last_name')!!}</th>
                    <th data-field="manager_first_name">{!! trans('organisation::employee.label.manager_first_name')!!}</th>
                    <th data-field="manager_middle_name">{!! trans('organisation::employee.label.manager_middle_name')!!}</th>
                    <th data-field="manager_email">{!! trans('organisation::employee.label.manager_email')!!}</th>
                    <th data-field="manager_manager_corp_id">{!! trans('organisation::employee.label.manager_manager_corp_id')!!}</th>
                    <th data-field="manager_manager_last_name">{!! trans('organisation::employee.label.manager_manager_last_name')!!}</th>
                    <th data-field="manager_manager_first_name">{!! trans('organisation::employee.label.manager_manager_first_name')!!}</th>
                    <th data-field="manager_manager_middle_name">{!! trans('organisation::employee.label.manager_manager_middle_name')!!}</th>
                    <th data-field="manager_manager_email">{!! trans('organisation::employee.label.manager_manager_email')!!}</th>
                    <th data-field="direct_manager">{!! trans('organisation::employee.label.direct_manager')!!}</th>
                    <th data-field="rollup1_manager">{!! trans('organisation::employee.label.rollup1_manager')!!}</th>
                    <th data-field="rollup2_manager">{!! trans('organisation::employee.label.rollup2_manager')!!}</th>
                    <th data-field="rollup3_manager">{!! trans('organisation::employee.label.rollup3_manager')!!}</th>
                    <th data-field="rollup4_manager">{!! trans('organisation::employee.label.rollup4_manager')!!}</th>
                    <th data-field="rollup5_manager">{!! trans('organisation::employee.label.rollup5_manager')!!}</th>
                    <th data-field="hrbp_name">{!! trans('organisation::employee.label.hrbp_name')!!}</th>
                    <th data-field="contributor_type">{!! trans('organisation::employee.label.contributor_type')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#organisation-employee-entry', '{!!guard_url('organisation/employee/0')!!}');
    oTable = $('#organisation-employee-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('organisation/employee') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'company_id'},
            {data :'file_id'},
            {data :'manager_id'},
            {data :'name'},
            {data :'last_name'},
            {data :'email'},
            {data :'gender'},
            {data :'job_type'},
            {data :'contract_type'},
            {data :'employee_id'},
            {data :'grade'},
            {data :'first_name'},
            {data :'middle_name'},
            {data :'designation'},
            {data :'dob'},
            {data :'doj'},
            {data :'business_unit'},
            {data :'division'},
            {data :'department'},
            {data :'location'},
            {data :'city'},
            {data :'state'},
            {data :'manager_corp_id'},
            {data :'manager_grade'},
            {data :'manager_full_name'},
            {data :'manager_name'},
            {data :'manager_last_name'},
            {data :'manager_first_name'},
            {data :'manager_middle_name'},
            {data :'manager_email'},
            {data :'manager_manager_corp_id'},
            {data :'manager_manager_last_name'},
            {data :'manager_manager_first_name'},
            {data :'manager_manager_middle_name'},
            {data :'manager_manager_email'},
            {data :'direct_manager'},
            {data :'rollup1_manager'},
            {data :'rollup2_manager'},
            {data :'rollup3_manager'},
            {data :'rollup4_manager'},
            {data :'rollup5_manager'},
            {data :'hrbp_name'},
            {data :'contributor_type'},
        ],
        "pageLength": 25
    });

    $('#organisation-employee-list tbody').on( 'click', 'tr', function () {
        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#organisation-employee-list').DataTable().row( this ).data();
        $('#organisation-employee-entry').load('{!!guard_url('organisation/employee')!!}' + '/' + d.id);
    });

    $('#organisation-employee-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#organisation-employee-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#organisation-employee-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#organisation-employee-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>